package com.yida.data.system.service;

import com.yida.data.common.core.entity.system.EduSysFile;
import com.yida.data.school.vo.smart.WxConfigVO;
import org.springframework.web.multipart.MultipartFile;

public interface CommonService {

    EduSysFile upload(MultipartFile file);

    String uploadImg(String code);

    void saveReceiveMsg();

    /**
     * 获取企业微信配置唤起扫码功能
     *
     * @param deptId 部门id
     * @param url    当前网页的URL，不包含#及其后面部分
     * @return com.yida.data.school.vo.smart.WxConfigVO
     * @author ZYJ
     * @date 2023/6/5 14:24
     */
    WxConfigVO getWxJsConfig(Long deptId, String url);

    /**
     * 获取微信配置唤起扫码功能
     *
     * @param deptId
     * @param url
     * @return
     */
    WxConfigVO getWxPublicJsConfig(Long deptId, String url);
}
